Get health profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company/{companyId}/health-profile

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • name string
    • id string(uuid)
    • version integer(int32)
    • buckets array[object]
      Hide buckets attributes Show buckets attributes object
      • weights object
        Hide weights attribute Show weights attribute object
        • * integer(int32) Additional properties
      • percentComplete integer(int32)
    • companyId string(uuid)
GET /company/{companyId}/health-profile
curl \
 --request GET 'https://live.smartpmtech.com/company/{companyId}/health-profile' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "name": "string",
  "id": "string",
  "version": 42,
  "buckets": [
    {
      "weights": {
        "additionalProperty1": 42,
        "additionalProperty2": 42
      },
      "percentComplete": 42
    }
  ],
  "companyId": "string"
}